Package org.eclipse.graphiti.mm.algorithms.styles.impl

## Class TextStyleImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.algorithms.styles.impl.TextStyleImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `TextStyle`

    public class TextStyleImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements TextStyle

An implementation of the model object 'Text Style'.

The following features are implemented:

- `Underline`
- `Underline Style`
- `Strikeout`
- `Font`
- `Foreground`
- `Background`
- `Underline Color`
- `Strikeout Color`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected Color` `background` The cached value of the '`Background`' reference.
`protected Font` `font` The cached value of the '`Font`' reference.
`protected Color` `foreground` The cached value of the '`Foreground`' reference.
`protected boolean` `strikeout` The cached value of the '`Strikeout`' attribute.
`protected static boolean` `STRIKEOUT_EDEFAULT` The default value of the '`Strikeout`' attribute.
`protected Color` `strikeoutColor` The cached value of the '`Strikeout Color`' reference.
`protected boolean` `underline` The cached value of the '`Underline`' attribute.
`protected static boolean` `UNDERLINE_EDEFAULT` The default value of the '`Underline`' attribute.
`protected static UnderlineStyle` `UNDERLINE_STYLE_EDEFAULT` The default value of the '`Underline Style`' attribute.
`protected Color` `underlineColor` The cached value of the '`Underline Color`' reference.
`protected UnderlineStyle` `underlineStyle` The cached value of the '`Underline Style`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `TextStyleImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `basicGetBackground()`
`Font` `basicGetFont()`
`Color` `basicGetForeground()`
`Color` `basicGetStrikeoutColor()`
`Color` `basicGetUnderlineColor()`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`Color` `getBackground()`
`Font` `getFont()`
`Color` `getForeground()`
`Color` `getStrikeoutColor()`
`Color` `getUnderlineColor()`
`UnderlineStyle` `getUnderlineStyle()`
`boolean` `isStrikeout()`
`boolean` `isUnderline()`
`void` `setBackground​(Color newBackground)`
`void` `setFont​(Font newFont)`
`void` `setForeground​(Color newForeground)`
`void` `setStrikeout​(boolean newStrikeout)`
`void` `setStrikeoutColor​(Color newStrikeoutColor)`
`void` `setUnderline​(boolean newUnderline)`
`void` `setUnderlineColor​(Color newUnderlineColor)`
`void` `setUnderlineStyle​(UnderlineStyle newUnderlineStyle)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### UNDERLINE_EDEFAULT

    protected static final boolean UNDERLINE_EDEFAULT

The default value of the '`Underline`' attribute.

See Also:
  `isUnderline()`, Constant Field Values

#### underline

    protected boolean underline

The cached value of the '`Underline`' attribute.

See Also:
  `isUnderline()`

#### UNDERLINE_STYLE_EDEFAULT

    protected static final UnderlineStyle UNDERLINE_STYLE_EDEFAULT

The default value of the '`Underline Style`' attribute.

See Also:
  `getUnderlineStyle()`

#### underlineStyle

    protected UnderlineStyle underlineStyle

The cached value of the '`Underline Style`' attribute.

See Also:
  `getUnderlineStyle()`

#### STRIKEOUT_EDEFAULT

    protected static final boolean STRIKEOUT_EDEFAULT

The default value of the '`Strikeout`' attribute.

See Also:
  `isStrikeout()`, Constant Field Values

#### strikeout

    protected boolean strikeout

The cached value of the '`Strikeout`' attribute.

See Also:
  `isStrikeout()`

#### font

    protected Font font

The cached value of the '`Font`' reference.

See Also:
  `getFont()`

#### foreground

    protected Color foreground

The cached value of the '`Foreground`' reference.

See Also:
  `getForeground()`

#### background

    protected Color background

The cached value of the '`Background`' reference.

See Also:
  `getBackground()`

#### underlineColor

    protected Color underlineColor

The cached value of the '`Underline Color`' reference.

See Also:
  `getUnderlineColor()`

#### strikeoutColor

    protected Color strikeoutColor

The cached value of the '`Strikeout Color`' reference.

See Also:
  `getStrikeoutColor()`

### Constructor Detail

#### TextStyleImpl

    protected TextStyleImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### isUnderline

    public boolean isUnderline()

Specified by:
  `isUnderline` in interface `TextStyle`
Returns:
  the value of the 'Underline' attribute.
See Also:
  `TextStyle.setUnderline(boolean)`, `StylesPackage.getTextStyle_Underline()`

#### setUnderline

    public void setUnderline​(boolean newUnderline)

Specified by:
  `setUnderline` in interface `TextStyle`
Parameters:
  `newUnderline` - the new value of the 'Underline' attribute.
See Also:
  `TextStyle.isUnderline()`

#### getUnderlineStyle

    public UnderlineStyle getUnderlineStyle()

Specified by:
  `getUnderlineStyle` in interface `TextStyle`
Returns:
  the value of the 'Underline Style' attribute.
See Also:
  `UnderlineStyle`, `TextStyle.setUnderlineStyle(UnderlineStyle)`, `StylesPackage.getTextStyle_UnderlineStyle()`

#### setUnderlineStyle

    public void setUnderlineStyle​(UnderlineStyle newUnderlineStyle)

Specified by:
  `setUnderlineStyle` in interface `TextStyle`
Parameters:
  `newUnderlineStyle` - the new value of the 'Underline Style' attribute.
See Also:
  `UnderlineStyle`, `TextStyle.getUnderlineStyle()`

#### isStrikeout

    public boolean isStrikeout()

Specified by:
  `isStrikeout` in interface `TextStyle`
Returns:
  the value of the 'Strikeout' attribute.
See Also:
  `TextStyle.setStrikeout(boolean)`, `StylesPackage.getTextStyle_Strikeout()`

#### setStrikeout

    public void setStrikeout​(boolean newStrikeout)

Specified by:
  `setStrikeout` in interface `TextStyle`
Parameters:
  `newStrikeout` - the new value of the 'Strikeout' attribute.
See Also:
  `TextStyle.isStrikeout()`

#### getFont

    public Font getFont()

Specified by:
  `getFont` in interface `TextStyle`
Returns:
  the value of the 'Font' reference.
See Also:
  `TextStyle.setFont(Font)`, `StylesPackage.getTextStyle_Font()`

#### basicGetFont

    public Font basicGetFont()

#### setFont

    public void setFont​(Font newFont)

Specified by:
  `setFont` in interface `TextStyle`
Parameters:
  `newFont` - the new value of the 'Font' reference.
See Also:
  `TextStyle.getFont()`

#### getForeground

    public Color getForeground()

Specified by:
  `getForeground` in interface `TextStyle`
Returns:
  the value of the 'Foreground' reference.
See Also:
  `TextStyle.setForeground(Color)`, `StylesPackage.getTextStyle_Foreground()`

#### basicGetForeground

    public Color basicGetForeground()

#### setForeground

    public void setForeground​(Color newForeground)

Specified by:
  `setForeground` in interface `TextStyle`
Parameters:
  `newForeground` - the new value of the 'Foreground' reference.
See Also:
  `TextStyle.getForeground()`

#### getBackground

    public Color getBackground()

Specified by:
  `getBackground` in interface `TextStyle`
Returns:
  the value of the 'Background' reference.
See Also:
  `TextStyle.setBackground(Color)`, `StylesPackage.getTextStyle_Background()`

#### basicGetBackground

    public Color basicGetBackground()

#### setBackground

    public void setBackground​(Color newBackground)

Specified by:
  `setBackground` in interface `TextStyle`
Parameters:
  `newBackground` - the new value of the 'Background' reference.
See Also:
  `TextStyle.getBackground()`

#### getUnderlineColor

    public Color getUnderlineColor()

Specified by:
  `getUnderlineColor` in interface `TextStyle`
Returns:
  the value of the 'Underline Color' reference.
See Also:
  `TextStyle.setUnderlineColor(Color)`, `StylesPackage.getTextStyle_UnderlineColor()`

#### basicGetUnderlineColor

    public Color basicGetUnderlineColor()

#### setUnderlineColor

    public void setUnderlineColor​(Color newUnderlineColor)

Specified by:
  `setUnderlineColor` in interface `TextStyle`
Parameters:
  `newUnderlineColor` - the new value of the 'Underline Color' reference.
See Also:
  `TextStyle.getUnderlineColor()`

#### getStrikeoutColor

    public Color getStrikeoutColor()

Specified by:
  `getStrikeoutColor` in interface `TextStyle`
Returns:
  the value of the 'Strikeout Color' reference.
See Also:
  `TextStyle.setStrikeoutColor(Color)`, `StylesPackage.getTextStyle_StrikeoutColor()`

#### basicGetStrikeoutColor

    public Color basicGetStrikeoutColor()

#### setStrikeoutColor

    public void setStrikeoutColor​(Color newStrikeoutColor)

Specified by:
  `setStrikeoutColor` in interface `TextStyle`
Parameters:
  `newStrikeoutColor` - the new value of the 'Strikeout Color' reference.
See Also:
  `TextStyle.getStrikeoutColor()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`